Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ToolBarTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.ToolBarTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ToolBarTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ToolBarTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setContentClass(java.lang.String __contentClass)`
`void` | `setContentStyle(java.lang.String __contentStyle)`
`void` | `setHeight(java.lang.String __height)`
`void` | `setItemSeparator(java.lang.String __itemSeparator)`
`void` | `setOnitemclick(java.lang.String __onitemclick)`
`void` | `setOnitemdblclick(java.lang.String __onitemdblclick)`
`void` | `setOnitemkeydown(java.lang.String __onitemkeydown)`
`void` | `setOnitemkeypress(java.lang.String __onitemkeypress)`
`void` | `setOnitemkeyup(java.lang.String __onitemkeyup)`
`void` | `setOnitemmousedown(java.lang.String __onitemmousedown)`
`void` | `setOnitemmousemove(java.lang.String __onitemmousemove)`
`void` | `setOnitemmouseout(java.lang.String __onitemmouseout)`
`void` | `setOnitemmouseover(java.lang.String __onitemmouseover)`
`void` | `setOnitemmouseup(java.lang.String __onitemmouseup)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setSeparatorClass(java.lang.String __separatorClass)`
`void` | `setWidth(java.lang.String __width)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBarTag

    public ToolBarTag()

Method Detail

### setContentClass

    public void setContentClass(java.lang.String __contentClass)

### setContentStyle

    public void setContentStyle(java.lang.String __contentStyle)

### setHeight

    public void setHeight(java.lang.String __height)

### setItemSeparator

    public void setItemSeparator(java.lang.String __itemSeparator)

### setOnitemclick

    public void setOnitemclick(java.lang.String __onitemclick)

### setOnitemdblclick

    public void setOnitemdblclick(java.lang.String __onitemdblclick)

### setOnitemkeydown

    public void setOnitemkeydown(java.lang.String __onitemkeydown)

### setOnitemkeypress

    public void setOnitemkeypress(java.lang.String __onitemkeypress)

### setOnitemkeyup

    public void setOnitemkeyup(java.lang.String __onitemkeyup)

### setOnitemmousedown

    public void setOnitemmousedown(java.lang.String __onitemmousedown)

### setOnitemmousemove

    public void setOnitemmousemove(java.lang.String __onitemmousemove)

### setOnitemmouseout

    public void setOnitemmouseout(java.lang.String __onitemmouseout)

### setOnitemmouseover

    public void setOnitemmouseover(java.lang.String __onitemmouseover)

### setOnitemmouseup

    public void setOnitemmouseup(java.lang.String __onitemmouseup)

### setSeparatorClass

    public void setSeparatorClass(java.lang.String __separatorClass)

### setWidth

    public void setWidth(java.lang.String __width)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.